// $Id: CXUpdate.h,v 1.5 2003/04/23 09:20:57 ta_muto Exp $
// The XUpdate processing class.

#ifndef __wax_CXUpdate_h
#define __wax_CXUpdate_h

#include <common.h>
#include <collection.h>
#include <views/ITask.h>

namespace wax {
	class CXUpdate : public ITask {
		xmlChar* version;
		CCollection actList;
		CCollection vars;
	public:
		CXUpdate(xmlChar* initVer);
		~CXUpdate();
		
		bool parse(CEnvironment* runenv, xmlNodePtr cur);
		bool execute();
		void output(IWriter* writer);
	
	public:
		static CXUpdate* getInstance(CEnvironment* runenv, xmlNodePtr cur);
	} ;
}

#endif
